Get Account Statement

This returns the account statement for a set date range for the specified account

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

🚧

If you leave out fromDate and toDate, only the current calendar month is returned. Pass both to get older records.

Path Params
string
required

The _id of the account.

Query Params
int32
Defaults to 0

The page number to fetch. Pages are 0-based: 0 is the first page. Defaults to 0.

int32
Defaults to 25

Maximum number of transactions per page. Defaults to 25, maximum 100 (values above 100 are capped at 100).

date

This is the start date of the period you wish to fetch the statement for. Optional; if you leave out fromDate and toDate, only the current calendar month is returned.

string

This is the end date of the period you wish to fetch the statement for. Optional; if you leave out fromDate and toDate, only the current calendar month is returned.

string
enum

The type of transaction you wish to fetch: Credit or Debit.

Allowed:
Headers
string
required

Your ibs_client_id, returned by Exchange Client Credentials.

Responses

Language
Credentials
OAuth2
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json